Bug 845847 - Scapy trace3D not working
Scapy trace3D not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scapy (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 13:49 EDT by emoziko
Modified: 2013-08-03 11:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 991682 (view as bug list)
Environment:
Last Closed: 2013-07-31 19:51:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description emoziko 2012-08-05 13:49:17 EDT
Description of problem:

Scapy have a function called "trace3D". It is showing traceroute or other information in 3D format.  This function using "python-visual" library. This function is not working on my Fedora 17.


Version-Release number of selected component (if applicable):
----------------------------------------
yum info scapy
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : scapy
Arch        : noarch
Version     : 2.0.0.10
Release     : 6.fc17
Size        : 1.6 M
Repo        : installed
From repo   : fedora

----------------------------------------

yum info python-visual
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : python-visual
Arch        : x86_64
Version     : 5.72
Release     : 4.fc17
Size        : 7.8 M
Repo        : installed
From repo   : fedora


---------------------------------------

uname -a
Linux home 3.5.0-2.fc17.x86_64 #1 SMP Mon Jul 30 14:48:59 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

--------------------------------------

All packages is updated.



How reproducible:


Steps to Reproduce:
1. in scapy interface type: a,u=traceroute(["www.google.com"])
2. a.trace3D()

  
Actual results:

>>> a.trace3D()
Traceback (most recent call last):
  File "<console>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/scapy/layers/inet.py", line 795, in trace3D
    visual.scene.exit_on_close(0)
AttributeError: 'display' object has no attribute 'exit_on_close'

Expected results:

http://photos1.blogger.com/blogger/4617/662/1600/display.1.png

Additional info:
commands in "reproduse steps" are from official documentation of scapy 
http://www.secdev.org/projects/scapy/doc/installation.html#optional-software-for-special-features
Comment 1 Fedora End Of Life 2013-07-03 18:10:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:51:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Illya 2013-08-03 11:12:07 EDT
This is still reproducible in Fedora 19.

scapy-2.2.0-2.fc19.noarch
python-visual-5.74-3.fc19.x86_64

Note You need to log in before you can comment on or make changes to this bug.